Bug 116395 - Would you like to enter a security context
Summary: Would you like to enter a security context
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cyrus-imapd   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: John Dennis
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-20 18:31 UTC by Bill Peck
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-23 20:19:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Peck 2004-02-20 18:31:07 UTC
Description of problem:
during bootup after installing system cyrus-imapd will stop the
systems boot process by prompting the user asking if they would like
to enter into a security context (I assume this is because of SELinux)

Version-Release number of selected component (if applicable):
cyrus-imapd-2.2.3-3

How reproducible:
every bootup, and most likely everytime you start the service

Steps to Reproduce:
1. fresh install
2. bootup will prompt for alternate policy
3. 
  
Actual results:


Expected results:


Additional info:
I imagine the problem is because we are using su in the startup script .

Comment 1 John Dennis 2004-02-20 20:42:31 UTC
wrong package, should have been cyrus-imap not imap

Comment 2 Daniel Walsh 2004-02-20 23:38:19 UTC
The su line should have a

< /dev/null at the end.  This will prevent the su command from asking
about security context.

Comment 3 Bill Peck 2004-02-23 20:19:45 UTC
problem has been confirmed fixed in rawhide-20040223/i386.


Note You need to log in before you can comment on or make changes to this bug.